## EActionComboBox

EActionComboBox

## Functions

GtkWidget * | e_action_combo_box_new ()
GtkWidget * | e_action_combo_box_new_with_action ()
GtkRadioAction * | e_action_combo_box_get_action ()
void | e_action_combo_box_set_action ()
gint | e_action_combo_box_get_current_value ()
void | e_action_combo_box_set_current_value ()
void | e_action_combo_box_add_separator_before ()
void | e_action_combo_box_add_separator_after ()

## Properties

GtkRadioAction * | action | Read / Write

## Types and Values

struct | EActionComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EActionComboBox
                                ╰── ECharsetComboBox

## Implemented Interfaces

EActionComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### e_action_combo_box_new ()

    GtkWidget *
    e_action_combo_box_new (void);

### e_action_combo_box_new_with_action ()

    GtkWidget *
    e_action_combo_box_new_with_action (GtkRadioAction *action);

### e_action_combo_box_get_action ()

    GtkRadioAction *
    e_action_combo_box_get_action (EActionComboBox *combo_box);

### e_action_combo_box_set_action ()

    void
    e_action_combo_box_set_action (EActionComboBox *combo_box,
                                   GtkRadioAction *action);

### e_action_combo_box_get_current_value ()

    gint
    e_action_combo_box_get_current_value (EActionComboBox *combo_box);

### e_action_combo_box_set_current_value ()

    void
    e_action_combo_box_set_current_value (EActionComboBox *combo_box,
                                          gint current_value);

### e_action_combo_box_add_separator_before ()

    void
    e_action_combo_box_add_separator_before
                                   (EActionComboBox *combo_box,
                                    gint action_value);

### e_action_combo_box_add_separator_after ()

    void
    e_action_combo_box_add_separator_after
                                   (EActionComboBox *combo_box,
                                    gint action_value);

## Types and Values

### struct EActionComboBox

    struct EActionComboBox;

## Property Details

### The `“action”` property

      “action”                   GtkRadioAction *

A GtkRadioAction.

Flags: Read / Write